#
# spec file for package python-flake8-builtins
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-flake8-builtins
Version:        2.1.0
Release:        1.5
Summary:        Flake8 Builtins plugin
License:        GPL-2.0-only
URL:            https://github.com/gforcada/flake8-builtins
Source:         https://files.pythonhosted.org/packages/source/f/flake8-builtins/flake8-builtins-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-flake8 >= 5.0.4
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module flake8 >= 5.0.4}
BuildRequires:  %{python_module hypothesis}
BuildRequires:  %{python_module hypothesmith}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
This plugin checks for Python builtins being used as variables or parameters.

%prep
%setup -q -n flake8-builtins-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_builtin_works_on_many_examples - will crash in obs as it is speed related
%pytest run_tests.py -k 'not test_builtin_works_on_many_examples'

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%{python_sitelib}/*

%changelog
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 2.1.0:
  * Honor `--builtins` option from flake8
* Thu Dec 15 2022 Dirk Müller <dmueller@suse.com>
- update to 2.0.1:
  * Add official support for python 3.10 and 3.11. [gforcada] [michael-k]
  * Update options handling. [gforcada]
  * Mark support for python 3.9. [lovetoburnswhen]
  * Drop python 2.7 and 3.6. [gforcada]
  * Overhaul GitHub actions to test on actual supported python versions.
  * New flake8 option `--builtins-ignorelist` to specify a list of builtins
    to ignore. [gsingh93]
* Thu Sep 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.5.3:
  - Change messages to have shorter text
* Thu Apr 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.5.2:
  * Add python3.8 support. [sobolevn]
  * Add AnnAssign support. [soboelvn]
  * Add NamedExpr or := support. [sobolevn]
  * Adds kwonly and posonly args support. [sobolevn]
  * Add DictComp, SetComp, and GeneratorExpr support. [sobolevn]
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Use proper full sentences in descriptions.
* Mon Jul 15 2019 Andreas Färber <afaerber@suse.de>
- Initial (v1.4.1)
